Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de.UTF-8):	Client für das 'trivial file transfer protocol (TFTP)'
Summary(fr.UTF-8):	Client pour le « trivial file transfer protocol » (TFTP)
Summary(pl.UTF-8):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Name:		tftp-hpa
Version:	5.2
Release:	8
License:	BSD
Group:		Applications/Networking
Source0:	https://www.kernel.org/pub/software/network/tftp/tftp-hpa/%{name}-%{version}.tar.xz
# Source0-md5:	e86f58164166804e8ae5a46010f29317
Source1:	tftpd-hpa.inetd
Source2:	tftpd-hpa.init
Source3:	tftpd-hpa.sysconfig
# from FC
Patch0:		tftp-0.40-remap.patch
Patch1:		%{name}-0.39-tzfix.patch
Patch2:		tftp-0.42-tftpboot.patch
Patch3:		tftp-0.49-chk_retcodes.patch
Patch4:		%{name}-0.49-fortify-strcpy-crash.patch
Patch5:		tftp-0.49-cmd_arg.patch
Patch6:		%{name}-0.49-stats.patch
Patch7:		%{name}-5.2-pktinfo.patch
Patch8:		tftp-enhanced-logging.patch
Patch9:         tftp-hpa-5.2-gcc10.patch
URL:		http://freshmeat.net/projects/tftp-hpa/
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	inetutils-tftp
Obsoletes:	tftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains TFTP client.

%description -l de.UTF-8
Das trivial file transfer protocol (TFTP) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr.UTF-8
Le « trivial file transfer protocol » (TFTP) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikację
TFTP klienta.

%description -l tr.UTF-8
İlkel dosya aktarım protokolu genelde disksiz iş istasyonlarının ağ
üzerinden açılmalarında kullanılır. Güvenlik denetimleri çok az
olduğundan zorunlu kalmadıkça çalıştırılmamalıdır.

%package -n tftpd-hpa-common
Summary:	Daemon for the trivial file transfer protocol (TFTP)
Summary(de.UTF-8):	Dämon für das 'trivial file transfer protocol (TFTP)'
Summary(fr.UTF-8):	Démon pour le « trivial file transfer protocol » (TFTP)
Summary(pl.UTF-8):	Serwer TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Group:		Networking/Daemons/FTP
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Provides:	group(tftp)
Provides:	user(tftp)

%description -n tftpd-hpa-common
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp-hpa package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd-hpa-common -l de.UTF-8
Das trivial file transfer protocol (TFTP) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd-hpa-common -l fr.UTF-8
Le « trivial file transfer protocol » (TFTP) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -n tftpd-hpa-common -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Serwer TFTP powinien być
instalowany tylko wtedy, kiedy zachodzi taka konieczność ponieważ
należy on do aplikacji o niskim poziomie bezpieczeństwa.

%package -n tftpd-hpa-inetd
Summary:	inetd configs for tftpd-hpa
Summary(pl.UTF-8):	Pliki konfiguracyjne do użycia tftpd-hpa poprzez inetd
Group:		Networking/Daemons/FTP
Requires:	rc-inetd >= 0.8.1
Requires:	tftpd-hpa-common = %{version}-%{release}
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n tftpd-hpa-inetd
tftpd-hpa configs for running from inetd.

%description -n tftpd-hpa-inetd -l pl.UTF-8
Pliki konfiguracyjna tftpd-hpa do startowania demona poprzez inetd.

%package -n tftpd-hpa-standalone
Summary:	Standalone daemon configs for tftpd-hpa
Summary(pl.UTF-8):	Pliki konfiguracyjne do startowania tftpd-hpa w trybie standalone
Group:		Networking/Daemons/FTP
Requires:	rc-scripts
Requires:	tftpd-hpa-common = %{version}-%{release}
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n tftpd-hpa-standalone
tftpd-hpa configs for running as a standalone daemon.

%description -n tftpd-hpa-standalone -l pl.UTF-8
Pliki konfiguracyjne tftpd-hpa do startowania demona w trybie
standalone.

%prep
%setup -q
%patch0 -p1 -b .zero
%patch1 -p1 -b .tzfix
%patch2 -p1 -b .tftpboot
%patch3 -p1 -b .chk_retcodes
%patch4 -p1 -b .fortify-strcpy-crash
%patch5 -p1 -b .cmd_arg
%patch6 -p1 -b .stats
%patch7 -p1 -b .pktinfo
%patch8 -p1
%patch9 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT/var/lib/tftp

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/tftpd-hpa
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/tftpd-hpa

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd-hpa-common
%groupadd -P tftpd-hpa -g 59 -r -f tftp
%useradd -P tftpd-hpa -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g tftp tftp

%postun -n tftpd-hpa-common
if [ "$1" = "0" ]; then
	%userremove tftp
	%groupremove tftp
fi

%post -n tftpd-hpa-inetd
%service -q rc-inetd reload

%postun -n tftpd-hpa-inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post -n tftpd-hpa-standalone
/sbin/chkconfig --add tftpd-hpa
%service tftpd-hpa restart

%preun -n tftpd-hpa-standalone
if [ "$1" = "0" ]; then
	%service tftpd-hpa stop
	/sbin/chkconfig --del tftpd-hpa
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd-hpa-common
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%files -n tftpd-hpa-inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd

%files -n tftpd-hpa-standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/tftpd-hpa
%attr(754,root,root) /etc/rc.d/init.d/tftpd-hpa
%changelog
* Mon Jul 25 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tftp-hpa.git;a=log;h=master

* Mon Jul 25 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 47824ed
- Rel 8; fix gcc 10 build (from FC)

* Wed Jan 22 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> e89f94a
- rel 6; added patch from fc

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 64bfb71
- release 5 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> bd7bbe0
- rebuild with readline 7.0
- release 4 (by relup.sh)

* Thu Mar 06 2014 Elan Ruusamäe <glen@delfi.ee> ad490d7
- simplify initscript readability

* Thu Mar 06 2014 Elan Ruusamäe <glen@delfi.ee> 2ed3815
- no empty chkconfig "config:"

* Wed Jul 11 2012 witekfl <witekfl@poczta.onet.pl> ce9dbb0
- added -P /var/run/tftpd.pid to the init script.
- rel 3

* Wed Mar 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a5cd3f1
- rel 2; patches from FC

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> cb47be6
- updated to 5.2

* Thu Jun 23 2011 areq <areq@pld-linux.org> dbf4f7c
- 5.1

* Tue Jul 20 2010 Jan Rękorajski <baggins@pld-linux.org> fd4ee91
- rel 7
- properly force ipv4

* Tue Jul 20 2010 Elan Ruusamäe <glen@pld-linux.org> 547ffaa
- does not support ipv6, force ipv4 only, otherwise we get error:
  received address was not AF_INET, please check your inetd config
- rel 6

* Sun Apr 11 2010 zbyniu <zbyniu@pld-linux.org> f9b721a
- full path to daemon

* Tue Jan 12 2010 Adam Gołębiowski <adamg@pld-linux.org> 9cfd003
- call %preun when removing tftpd-hpa-standalone; release 5

* Thu Apr 23 2009 Jan Rękorajski <baggins@pld-linux.org> 93b093d
- rel 4
- unconitionally use user tftp
- use /var/lib/tftp if no directory is set

* Thu Apr 23 2009 Jan Rękorajski <baggins@pld-linux.org> fc8a259
- unconitionally use user tftp
- use /var/lib/tftp if no directory is set

* Thu Apr 23 2009 Jan Rękorajski <baggins@pld-linux.org> b953c52
- rel 3
- works

* Thu Apr 23 2009 Jan Rękorajski <baggins@pld-linux.org> 1a076c4
- use proper config file

* Thu Apr 23 2009 Jan Rękorajski <baggins@pld-linux.org> ca0329b
- there is no need to play with autoconf

* Thu Apr 23 2009 Jan Rękorajski <baggins@pld-linux.org> 204fcbc
- create all dirs in install

